#!/bin/bash

# Variables
find_list="/tmp/find_list"
files_list="/tmp/files_list"
path_gen=$(pwd)
make_file=${path_gen}/make-file-browser.sh

# Show help and init generate index files recursively
if [ -z "${1}" ] ; then
  echo ""
  echo "Usage: $0 <folder>"
  echo ""
else
  chmod +x ${make_file}
  # Generate index recursive
  if [ -d "${1}" ] ; then
    find "${1}"/ -type d \( ! -iname ".*" \) > ${find_list}
    count_find=$(wc -l ${find_list} | cut -d " " -f 1)
    countf=1
    while [ ${countf} -le ${count_find} ] ; do
      find_read=$(cat ${find_list} | head -${countf} | tail -1)
      echo "# Generating index files for ${find_read}"
      ${make_file} ${find_read}/
      countf=$(expr ${countf} + 1)
    done
    rm -rf ${find_list}
  else
    echo "# Folder '${1}' not found"
  fi
fi
