#!/bin/bash

# Variables
find_list="/tmp/find_list"
files_list="/tmp/files_list"
path_gen=$(pwd)

# Commands
ls_command="/bin/ls"

# Show help and init generate index files
if [ -z "${1}" ] ; then
  echo ""
  echo "Usage: $0 <folder>"
  echo ""
else
  # Generate main index folder
  echo ""
  if [ -d "${1}" ] ; then
    echo "# Generating index files for ${1}"
    ${ls_command} -1 "${1}"/ > ${files_list}
    mkdir -p ${1}/.gen
    cp -rf ${path_gen}/gen/* ${1}/.gen/
    cp -rf ${path_gen}/gen/head.html ${1}/.index.html
    count_list=$(wc -l ${files_list} | cut -d " " -f 1)
    count=1
    while [ ${count} -le ${count_list} ] ; do
      line_read=$(cat ${files_list} | head -${count} | tail -1)
      echo "# Generating entry for '${line_read}'"
      echo -n '<li class="list-group-item"><center><a href="' >> ${1}/.index.html
      echo -n "${line_read}" >> ${1}/.index.html
      echo -n '">' >> ${1}/.index.html
      echo -n "${line_read}" >> ${1}/.index.html
      echo '</a></center></li>' >> ${1}/.index.html
      count=$(expr ${count} + 1)
    done
    cat ${path_gen}/gen/tail.html >> ${1}/.index.html
    rm -rf ${files_list}
  else
    echo "# Folder '${1}' not found"
  fi
fi
