#!/bin/bash

# Variables
find_list="/tmp/find_list"
files_list="/tmp/files_list"
path_gen=$(pwd)

# Function to purge index files
function purge_files() {
  if [ -d "${1}" ] ; then
    echo "# Purging index files for ${1}"
    if [ -f "${1}"/.index.html ] ; then
      echo "# Removed index file ${1}/.index.html"
      rm -rf "${1}"/.index.html
    fi
    if [ -d "${1}"/.gen ] ; then
      echo "# Removed index folder ${1}/.gen"
      rm -rf "${1}"/.gen
    fi
  else
    echo "# Folder '${1}' not found"
  fi
}

# Show help and init remove files recursively
if [ -z "${1}" ] ; then
  echo ""
  echo "Usage: $0 <folder>"
  echo ""
else
  # Purge  index files recursive
  if [ -d "${1}" ] ; then
    find "${1}"/ -type d \( ! -iname ".*" \) > ${find_list}
    count_find=$(wc -l ${find_list} | cut -d " " -f 1)
    countf=1
    while [ ${countf} -le ${count_find} ] ; do
      find_read=$(cat ${find_list} | head -${countf} | tail -1)
      purge_files ${find_read}/
      countf=$(expr ${countf} + 1)
    done
    rm -rf ${find_list}
  else
    echo "# Folder '${1}' not found"
  fi
fi
